Flourish - Feature #5645
Separation of Inline Table Responses to independent variables
12/01/2022 20:49 - Sara Schenkel

Status: Closed Start date: 12/01/2022
Priority: Normal Due date: 28/07/2022
Assignee: Ame Diphoko % Done: 0%
Category: Estimated time: 1.00 hour
Target version: Spent time: 1.00 hour
Description

Please separate responses in inline tables to create individual variables. For example, if COVID_SYMPTOMS response is: 'Chest pain,
Cough, Fever' in one column, make each response a separate column as a y/n or 0/1 response. For example, covidsymp_chestpain &
covidsymp_cough & covidsymp_fever.

We can discuss more in our DMC meetings on Thursdays at 2pm!
Thank you

History

#1 - 18/01/2022 09:05 - Ame Diphoko
- Due date set to 25/01/2022

#2 - 20/01/2022 22:48 - Sara Schenkel
- Estimated time set to 1.00

Coulson noted that you were to take the existing variable and add the answer options after the variable name. Please instead shorten the variable name to
be more concise. Some statistical softwares have a limit on variable length.

For example see below:

variable name: symptoms_for_past_14days' with the inline table response of cough should look like:

'c19_symp_14d_cough'

| can schedule a meeting if more clarity is needed! Thank you

#3 - 27/01/2022 14:27 - ltumeleng Mosweu
- Due date changed from 25/01/2022 to 01/02/2022

#4 - 28/03/2022 09:41 - ltumeleng Mosweu
- Assignee deleted (Ame Diphoko)

#5 - 30/06/2022 09:58 - Itumeleng Mosweu
- Category set to pending

#6 - 21/07/2022 11:59 - Iltumeleng Mosweu
- Due date changed from 01/02/2022 to 28/07/2022
- Assignee set to Ame Diphoko

#7 - 09/08/2022 11:50 - Ame Diphoko

- Category deleted (pending)
- Status changed from New to Resolved
#8 - 09/08/2022 19:54 - Sara Schenkel
- File m2m field variables_New variable names- with Feedback 9Aug22.xIsx added
- Status changed from Resolved to Feedback

Attached spreadsheet has feedback in column E. New variable names for many to many responses did not work for ANY of the child/adolescent csvs.

One comment on csvs for caregivers.

#9 - 16/08/2022 11:53 - Ame Diphoko
- Status changed from Feedback to Resolved

#10 - 17/08/2022 17:12 - Sara Schenkel
- File m2m field variables_New variable names- with Feedback 17Aug22.xIsx added
- Status changed from Resolved to Feedback

Hi Ame, still some errors. Please use the attached spreadsheet to see my feedback. For Caregivers, can you please create 1 or 2 fictitious forms for social
work referral? | am unable to add a maternal visit so | cannot UAT that csv.
Thanks!

#11 - 23/08/2022 12:23 - Ame Diphoko
- Status changed from Feedback to Resolved

For child medical history, we cannot remove either variables "child_chronic_other" and/or "chist_other" since [chist_other] is a selection option on the m2m
field and [child_chronic_other] is the open text field where they give further details on the other selection field.

#12 - 24/08/2022 17:07 - Sara Schenkel
- File m2m field variables_New variable names- with Feedback 24Aug22.xIsx added
- Status changed from Resolved to Closed

Perfect! UAT for the new variables names is complete. Is there an additional step needed to recode the responses to these new variables? If so, please

provide a due date for this action.

Thank you Ame!

Files

m2m field variables_New variable names- with Feedback_9Aug22.xlsx 26.4 KB 09/08/2022 Sara Schenkel
m2m field variables_New variable names- with Feedback_17Aug22.xIsx26.6 KB 17/08/2022 Sara Schenkel
m2m field variables_New variable names- with Feedback_24Aug22.xIsx26.3 KB 24/08/2022 Sara Schenkel
